# $Revision: 1.7 $, $Date: 2002/11/14 09:01:47 $
Summary:	A Gopher Server
Summary(pl):	Serwer protokou gopher
Name:		gofish
Version:	0.20
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://osdn.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.logrotate
Source2:	gopherd.init
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-man.patch
URL:		http://gofish.sourceforge.net/
Requires:	logrotate
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	gopherd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GoFish is a simple gopher / web server. It is designed with security
and low resource usage in mind. GoFish uses a single process that
handles all the connections. This provides low resource usage, good
latency (no context switches), and good scalability.

GoFish runs in a chroot(2) environment. This means that GoFish can
only serve files from the root directory or below. While GoFish must
run at root privilege to be able to use port 70, it drops to a normal
user while accessing files.

%description -l pl
GoFish jest prostym serwerem protokou gopher. Zosta stworzony z
myl o bezpieczestwie i maym zuyciu zasobw. GoFish uywa
pojedynczego procesu obsugujcego wszystkie poczenia. Daje to mae
zuycie zasobw, dobre opnienia (brak zmian kontekstu) oraz dobr
skalowalno.

GoFish dziaa w rodowisku chroot(2). Oznacza to, e moe udostpnia
pliki tylko z wasnego katalogu gwnego i z wewntrz niego. Chocia
GoFish musi by uruchamiany z prawami roota, aby uy portu 70,
zmienia uprawnienia na zwykego uytkownika przed dostpem do plikw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{logrotate.d,rc.d/init.d},/var/log/gofish}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	rootdir=/home/services/gopherd

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d
install %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/gopherd

touch $RPM_BUILD_ROOT/var/log/gofish/{gopherd,gofish}.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid gopher`" ]; then
	if [ "`getgid gopher`" != "30" ]; then
		echo "Error: group gopher doesn't have gid=30 . Correct this before installing gofish." 1>&2
		exit 1
	fi
else
	echo "Adding group gopher GID=30."
	/usr/sbin/groupadd -g 30 gopher || exit 1
fi
if [ -n "`id -u gopher 2>/dev/null`" ]; then
	if [ "`id -u gopher`" != "13" ]; then
		echo "Error: user gopher doesn't have uid=13. Correct this before installing gofish." 1>&2
		exit 1
	fi
else
	echo "Adding user gopher UID=13."
	/usr/sbin/useradd -u 13 -g 30 -d /dev/null -s /bin/false -c "gopherd user" gopher || exit 1
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/gofish*
%attr(640,root,root) %{_sysconfdir}/logrotate.d/*
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/gopherd
%attr(750,gopher,gopher) /home/services/gopherd
%attr(755,gopher,gopher) %dir /var/log/gofish
%ghost /var/log/gofish/gopherd.log
%ghost /var/log/gofish/gofish.log
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gofish.spec,v $
Revision 1.7  2002/11/14 09:01:47  kloczek
- cosmetics and minor changes.

Revision 1.6  2002/11/02 17:15:42  depesz
- added init script (is this script o.k.???)
- modified logdir
- modified ownership of gohper-space
- still not to be included in distribution!

Revision 1.5  2002/11/02 16:10:17  depesz
typo

Revision 1.4  2002/11/02 13:33:18  ankry
- changed dirs
- added -PLD (fixing paths) and -man (typos in manpages) patches
- added *.logrotate
- added %%pre script
probably still unfinished

Revision 1.3  2002/11/02 10:48:47  depesz
- new version
- corrected (to http://) path to source file

Revision 1.2  2002/11/01 14:38:12  qboosh
- pl description, some cleanups (probably still NFY)

Revision 1.1  2002/10/28 09:27:43  depesz
- initial, but working release
- still some work has to be done
